org.apache.hc.client5.http.protocol

## Class ResponseContentEncoding

- java.lang.Object
- - org.apache.hc.client5.http.protocol.ResponseContentEncoding

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpResponseInterceptor

    @Immutable
    public class ResponseContentEncoding
    extends Object
    implements org.apache.hc.core5.http.HttpResponseInterceptor

`HttpResponseInterceptor` responsible for processing Content-Encoding responses.

Instances of this class are stateless and immutable, therefore threadsafe.

Since:
  4.1

### Field Summary

Fields
`static String` `UNCOMPRESSED`

### Constructor Summary

Constructors
Constructor and Description
`ResponseContentEncoding()` Handles `gzip` and `deflate` compressed entities by using the following decoders: gzip - see `GZIPInputStream` deflate - see `DeflateInputStream`
`ResponseContentEncoding(boolean ignoreUnknown)`
`ResponseContentEncoding(org.apache.hc.core5.http.config.Lookup<InputStreamFactory> decoderRegistry)`
`ResponseContentEncoding(org.apache.hc.core5.http.config.Lookup<InputStreamFactory> decoderRegistry, boolean ignoreUnknown)`

### Method Summary

Methods
`void` `process(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNCOMPRESSED

    public static final String UNCOMPRESSED

See Also:
  Constant Field Values

### Constructor Detail

#### ResponseContentEncoding

    public ResponseContentEncoding(org.apache.hc.core5.http.config.Lookup<InputStreamFactory> decoderRegistry,
                           boolean ignoreUnknown)

Since:
  4.5

#### ResponseContentEncoding

    public ResponseContentEncoding(boolean ignoreUnknown)

Since:
  4.5

#### ResponseContentEncoding

    public ResponseContentEncoding(org.apache.hc.core5.http.config.Lookup<InputStreamFactory> decoderRegistry)

Since:
  4.4

#### ResponseContentEncoding

    public ResponseContentEncoding()

Handles `gzip` and `deflate` compressed entities by using the following decoders:

- gzip - see `GZIPInputStream`
- deflate - see `DeflateInputStream`

### Method Detail

#### process

    public void process(org.apache.hc.core5.http.HttpResponse response,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.hc.core5.http.HttpResponseInterceptor`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`